import { EventName } from '@lit/react';
import { WeavyComponents } from '@weavy/uikit-web';
import { CreateConversationEventType } from '@weavy/uikit-web/dist/types/types/conversation.events.d.ts';
export declare const WyConversation: import('@lit/react').ReactWebComponent<WeavyComponents.WyConversation, {
    onWyAction: EventName<import('@weavy/uikit-web/dist/types/types/action.events.js').WyActionEventType>;
    onWyPreviewOpen: EventName<import('@weavy/uikit-web/dist/types/types/files.events.js').WyPreviewOpenEventType>;
    onWyPreviewClose: EventName<import('@weavy/uikit-web/dist/types/types/files.events.js').WyPreviewCloseEventType>;
}>;
export declare const WyConversationAppbar: import('@lit/react').ReactWebComponent<WeavyComponents.WyConversationHeader, {
    onWyAction: EventName<import('@weavy/uikit-web/dist/types/types/action.events.js').WyActionEventType>;
}>;
export declare const WyConversationNew: import('@lit/react').ReactWebComponent<WeavyComponents.WyConversationNew, {
    onSelected: EventName<CreateConversationEventType>;
}>;
